walle 瓦力-安装部署

部署时间: 2018年10月31日
部署环境:centos_1708 php7.2 nginx (php5.6无法完成composer install 会提示报php版本过低)

数据库中配置: config/local.php 后面的数据库信息(由于系统是基于YII 可能有指定的环境配置环境 我这就是直接改这个文件了) 文档中说是改config/web.php 但是改了之后还是无效

'dsn'       => isset($_ENV['WALLE_DB_DSN'])  ? $_ENV['WALLE_DB_DSN']  : 'mysql:host=127.0.0.1;dbname=walle',
'username'  => isset($_ENV['WALLE_DB_USER']) ? $_ENV['WALLE_DB_USER'] : 'root',
'password'  => isset($_ENV['WALLE_DB_PASS']) ? $_ENV['WALLE_DB_PASS'] : '',

安装中主要遇到是php版本和数据库配置信息的问题. 其它的步骤参考 官网-安装步骤文档

相关资料

walle-web github
代码部署工具walle
Yii2 使用 .env 来配置项目环境变量 还没测试这个目测好像不符合瓦力这个项目

发表评论

电子邮件地址不会被公开。 必填项已用*标注